%global bundle  org.apache.felix.scr

Name:          felix-scr
Version:       2.1.26
Release:       %mkrel 2
Group:         Development/Java
Summary:       Apache Felix Service Component Runtime (SCR)
License:       ASL 2.0
URL:           https://felix.apache.org/documentation/subprojects/apache-felix-service-component-runtime.html

Source0:       https://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

# Don't embed deps, use import-package instead
Patch0: 0001-Use-import-package-instead-of-embedding-dependencies.patch

BuildArch:     noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.felix:org.apache.felix.gogo.runtime)
BuildRequires:  mvn(org.osgi:osgi.annotation)
BuildRequires:  mvn(org.osgi:osgi.cmpn) >= 7.0.0
BuildRequires:  mvn(org.osgi:osgi.core) >= 7.0.0

%description
Implementation of the OSGi Declarative Services Specification Version 1.4 (R7).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p1

# All these OSGi deps are provided in the compendium jar
%pom_add_dep org.osgi:osgi.cmpn:7.0.0:provided
%pom_remove_dep org.osgi:org.osgi.service.component
%pom_remove_dep org.osgi:org.osgi.service.cm
%pom_remove_dep org.osgi:org.osgi.service.log
%pom_remove_dep org.osgi:org.osgi.service.metatype
%pom_remove_dep org.osgi:org.osgi.namespace.extender
%pom_remove_dep org.osgi:org.osgi.util.promise
%pom_remove_dep org.osgi:org.osgi.util.function

# Many test deps are not in Fedora
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope='test']"
%pom_remove_dep org.ops4j.base:
%pom_remove_plugin :maven-failsafe-plugin

# Animal sniffer is unnecessary since we always know JRE level on Fedora
%pom_remove_dep :animal-sniffer-annotations
sed -i -e '/IgnoreJRERequirement/d' src/main/java/org/apache/felix/scr/impl/manager/ThreadDump.java

%mvn_file : felix/%{bundle}

%build
# No test deps availables e.g org.ops4j.pax.url:pax-url-wrap
%mvn_build -f -- -Dfelix.java.version=8

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2.1.26-2.mga9
+ Revision: 1827744
- Mageia 9 Mass Rebuild

* Sun Mar 07 2021 daviddavid <daviddavid> 2.1.26-1.mga9
+ Revision: 1700330
- Update to latest upstream release 2.1.26

* Wed Dec 09 2020 neoclust <neoclust> 2.1.16-4.mga8
+ Revision: 1654905
- Rebuild to fit eclipse requires

* Thu Aug 27 2020 daviddavid <daviddavid> 2.1.16-3.mga8
+ Revision: 1619223
- Rebuilt for JDK-11
- Build javadoc with --xmvn-javadoc
- Drop requirement on kxml and xpp, patch to use the JDK SAX implementation
  instead

* Sat Feb 15 2020 umeabot <umeabot> 2.1.16-2.mga8
+ Revision: 1527616
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 2.1.16-1.mga8
+ Revision: 1422443
- Update to latest upstream release for OSGi R7 support

* Tue Dec 11 2018 daviddavid <daviddavid> 2.0.14-1.mga7
+ Revision: 1340164
- imported package felix-scr

